Bug 1574869 - Create button has no response on BC edit page's Create New Webhook Secret dialogue
Summary: Create button has no response on BC edit page's Create New Webhook Secret dia...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.10.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 08:24 UTC by Xingxing Xia
Modified: 2018-07-23 13:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-16 12:07:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
js error meantime (153.52 KB, image/png)
2018-05-04 08:24 UTC, Xingxing Xia
no flags Details

Description Xingxing Xia 2018-05-04 08:24:24 UTC
Created attachment 1431098 [details]
js error meantime

Description of problem:
Create button has no response on BC edit page's Create New Webhook Secret dialogue

Version-Release number of selected component (if applicable):
OpenShift Master:      v3.10.0-0.32.0
Kubernetes Master:     v1.10.0+b81c8f8
OpenShift Web Console: v3.10.0-0.32.0

How reproducible:
Always

Steps to Reproduce:
1. Create app from ruby image
2. Go to ruby-ex BC edit page "Triggers" part, click Create New Webhook Secret
3. Input secret name, key, click Create

Actual results:
3. No response. F12 shows js error meantime, see attachment

Expected results:
3. Response

Additional info:
Other dialogues of secret creation work.

Comment 2 openshift-github-bot 2018-05-07 13:42:41 UTC
Commits pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/625166f711d6ea747aa78c641be77fdf5b4e2979
Bug 1574869 - Fix runtime error creating webhook secret

Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1574869

https://github.com/openshift/origin-web-console/commit/e2fae7248ee9d50308a3fdbb2fe5f3e447cffd7b
Merge pull request #2987 from spadgett/fix-webhook-secret

Bug 1574869 - Fix runtime error creating webhook secret

Comment 4 Xingxing Xia 2018-05-16 02:00:33 UTC
Verified in OpenShift Web Console v3.10.0-0.41.0. Now the button can be clicked


Note You need to log in before you can comment on or make changes to this bug.